* d10v-dis.c: Fix formatting.
[deliverable/binutils-gdb.git] / gdb / gdb-events.sh
index 6b0b958402a68b51d81228d21dfdee16e29dec09..d4713eccb5b6bde911f017287876558e5494ae95 100755 (executable)
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 # User Interface Events.
-# Copyright 1999-2000 Free Software Foundation, Inc.
+# Copyright 1999, 2000, 2001 Free Software Foundation, Inc.
 #
 # Contributed by Cygnus Solutions.
 #
@@ -34,7 +34,7 @@
 # here with respect to annotate.  We might need to accomodate a hook
 # stack that allows several ui blocks to install their own events.
 
-# Each of the variable events (as currently generated) is converteded
+# Each of the variable events (as currently generated) is converted
 # to either a straight function call or a function call with a
 # predicate.
 
@@ -61,6 +61,9 @@ function_list ()
 f:void:breakpoint_create:int b:b
 f:void:breakpoint_delete:int b:b
 f:void:breakpoint_modify:int b:b
+f:void:tracepoint_create:int number:number
+f:void:tracepoint_delete:int number:number
+f:void:tracepoint_modify:int number:number
 #*:void:annotate_starting_hook:void
 #*:void:annotate_stopped_hook:void
 #*:void:annotate_signalled_hook:void
@@ -109,25 +112,25 @@ copyright ()
 {
   cat <<EOF
 /* User Interface Events.
-   Copyright 1999 Free Software Foundation, Inc.
+   Copyright 1999, 2001 Free Software Foundation, Inc.
 
    Contributed by Cygnus Solutions.
 
-This file is part of GDB.
+   This file is part of GDB.
 
-This program is free software; you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
-(at your option) any later version.
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2 of the License, or
+   (at your option) any later version.
 
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
 
-You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software
+   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */
 
 /* Work in progress */
 
@@ -274,12 +277,15 @@ echo ""
 echo "#endif"
 exec 1>&2
 #../move-if-change new-gdb-events.h gdb-events.h
-if test -r gdb-events.h
+if test -r gdb-events.h
 then
+  diff -c gdb-events.h new-gdb-events.h
+  if [ $? = 1 ]
+  then
+    echo "gdb-events.h changed? cp new-gdb-events.h gdb-events.h" 1>&2
+  fi
+else
   echo "File missing? mv new-gdb-events.h gdb-events.h" 1>&2
-elif ! diff -c gdb-events.h new-gdb-events.h
-then
-  echo "gdb-events.h changed? cp new-gdb-events.h gdb-events.h" 1>&2
 fi
 
 
@@ -327,30 +333,34 @@ do
   case "${class}" in
     "*" ) continue ;;
     "?" )
-       echo ""
-       echo "int"
-       echo "${function}_event_p (${formal})"
-       echo "{"
-       echo "  return current_event_hooks->${function};"
-       echo "}"
-       echo ""
-       echo "${returntype}"
-       echo "${function}_event (${formal})"
-       echo "{"
-       echo "  return current_events->${function} (${actual});"
-       echo "}"
+cat <<EOF
+
+int
+${function}_event_p (${formal})
+{
+  return current_event_hooks->${function};
+}
+
+${returntype}
+${function}_event (${formal})
+{
+  return current_events->${function} (${actual});
+}
+EOF
        ;;
      "f" )
-       echo ""
-       echo "void"
-       echo "${function}_event (${formal})"
-       echo "{"
-       echo "  if (gdb_events_debug)"
-       echo "    fprintf_unfiltered (gdb_stdlog, \"${function}_event\\n\");"
-       echo "  if (!current_event_hooks->${function})"
-       echo "    return;"
-       echo "  current_event_hooks->${function} (${actual});"
-       echo "}"
+cat <<EOF
+
+void
+${function}_event (${formal})
+{
+  if (gdb_events_debug)
+    fprintf_unfiltered (gdb_stdlog, "${function}_event\n");
+  if (!current_event_hooks->${function})
+    return;
+  current_event_hooks->${function} (${actual});
+}
+EOF
        ;;
   esac
 done
@@ -388,19 +398,19 @@ EOF
 echo ""
 cat <<EOF
 enum gdb_event
-  {
+{
 EOF
 function_list | while eval read $read
 do
   case "${class}" in
     "f" )
-      echo "    ${function},"
+      echo "  ${function},"
       ;;
   esac
 done
 cat <<EOF
-    nr_gdb_events
-  };
+  nr_gdb_events
+};
 EOF
 
 # event data
@@ -468,7 +478,7 @@ do
       echo "{"
       echo "  struct event *event = XMALLOC (struct event);"
       echo "  event->type = ${function};"
-      for arg in `echo ${actual} | tr '[,]' '[ ]'`; do
+      for arg in `echo ${actual} | tr '[,]' '[:]' | tr -d '[ ]'`; do
         echo "  event->data.${function}.${arg} = ${arg};"
       done
       echo "  append (event);"
@@ -488,7 +498,7 @@ gdb_events_deliver (struct gdb_events *vector)
     {
       struct event *event = delivering_events;
       delivering_events = event->next;
-      free (event);
+      xfree (event);
     }
   /* Process any pending events.  Because one of the deliveries could
      bail out we move everything off of the pending queue onto an
@@ -510,7 +520,7 @@ do
       echo "          vector->${function}"
       sep="            ("
       ass=""
-      for arg in `echo ${actual} | tr '[,]' '[ ]'`; do
+      for arg in `echo ${actual} | tr '[,]' '[:]' | tr -d '[ ]'`; do
         ass="${ass}${sep}event->data.${function}.${arg}"
        sep=",
              "
@@ -523,7 +533,7 @@ done
 cat <<EOF
         }
       delivering_events = event->next;
-      free (event);
+      xfree (event);
     }
 }
 EOF
@@ -535,6 +545,7 @@ void _initialize_gdb_events (void);
 void
 _initialize_gdb_events (void)
 {
+  struct cmd_list_element *c;
 #if WITH_GDB_EVENTS
 EOF
 function_list | while eval read $read
@@ -547,23 +558,38 @@ do
 done
 cat <<EOF
 #endif
-  add_show_from_set (add_set_cmd ("eventdebug",
+
+  c = add_set_cmd ("eventdebug", class_maintenance, var_zinteger,
+                  (char *) (&gdb_events_debug), "Set event debugging.\n\\
+When non-zero, event/notify debugging is enabled.", &setlist);
+  deprecate_cmd (c, "set debug event");
+  deprecate_cmd (add_show_from_set (c, &showlist), "show debug event");
+
+  add_show_from_set (add_set_cmd ("event",
                                   class_maintenance,
                                   var_zinteger,
-                                  (char *)&gdb_events_debug,
+                                  (char *) (&gdb_events_debug),
                                   "Set event debugging.\n\\
-When non-zero, event/notify debugging is enabled.", &setlist),
-                     &showlist);
+When non-zero, event/notify debugging is enabled.", &setdebuglist),
+                    &showdebuglist);
 }
 EOF
 
 # close things off
 exec 1>&2
 #../move-if-change new-gdb-events.c gdb-events.c
-if ! test -r gdb-events.c
+# Replace any leading spaces with tabs
+sed < new-gdb-events.c > tmp-gdb-events.c \
+    -e 's/\(   \)*        /\1  /g'
+mv tmp-gdb-events.c new-gdb-events.c
+# Move if changed?
+if test -r gdb-events.c
 then
+  diff -c gdb-events.c new-gdb-events.c
+  if [ $? = 1 ]
+  then
+    echo "gdb-events.c changed? cp new-gdb-events.c gdb-events.c" 1>&2
+  fi
+else
   echo "File missing? mv new-gdb-events.c gdb-events.c" 1>&2
-elif ! diff -c gdb-events.c new-gdb-events.c
-then
-  echo "gdb-events.c changed? cp new-gdb-events.c gdb-events.c" 1>&2
 fi
This page took 0.026884 seconds and 4 git commands to generate.